#!/usr/bin/env node

/**
 * Build this project
 */

"use strict";

process.chdir(__dirname + '/..');

var coz = require('coz'),
    tasking = require('apeman-dev-commons-tasking'),
    buds = require('apeman-tmpl-contrib-official/lib/command');

var pkg = require('../package.json');

tasking.runTasks([
    function (callback) {
        coz.render([
            'lib/**/.*.bud',
            'test/**/.*.bud'
        ], callback);
    },
    function (callback) {
        buds.render({
            pkg: pkg,
            command: require('../lib/command'),
            exampleApemanfile: 'doc/examples/Apemanfile-example.js',
            exampleUsage: 'doc/examples/usage-example.js'
        }, callback);
    }
], true);