/**
 * Test case for uiLogger.
 * Runs with nodeunit.
 */

var UiLogger = require('../lib/ui_logger.js');

var injectmock = require('injectmock');

exports.setUp = function (done) {
    injectmock(console, 'log', injectmock.noop);
    injectmock(console, 'error', injectmock.noop);
    done();
};
exports.tearDown = function (done) {
    injectmock.restoreAll();
    done();
};

exports['Ui worker logger'] = function (test) {
    var logger = new UiLogger({
        verbose: true
    });
    logger.printUiStart();
    logger.error = function () {

    };
    logger.printUiDone();
    logger.printUiFailed(new Error());
    test.done();
};
