/**
 * Test case for uiRunner.
 * Runs with nodeunit.
 */

var UiRunner = require('../lib/ui_runner.js'),
    injectmock = require('injectmock');

exports.tearDown = function (done) {
    injectmock.restoreAll();
    done();
};

exports['Ui runner'] = function (test) {
    var runner = new UiRunner({
        apemanfile: {}
    });
    test.ok(runner);
    test.done();
};

exports['Do validate'] = function (test) {
    test.throws(function () {
        new UiRunner().validate();
    });
    test.done();
};

exports['Do run with invalid file.'] = function (test) {
    var runner = new UiRunner({
        apemanfile: {
            find: function (name, callback) {
                callback = arguments[arguments.length - 1];
                callback(new Error('not found.'));
            }
        }
    });
    runner.run('foo', function (err) {
        test.ok(!!err);
        test.done();
    });
};

exports['Do run.'] = function (test) {
    var runner = new UiRunner({
        apemanfile: {
            find: function (name, callback) {
                callback = arguments[arguments.length - 1];
                callback(null, function (context, callback) {
                    callback(null);
                });
            }
        }
    });
    runner.run('foo', function (err) {
        test.ifError(err);
        test.done();
    });
};

